Introduction

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12358 )
Source version tested ( Type : INFO: , ID : 12600 )

ID : 8L1M7B , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction

The Hach WIMS Direct Server-Side Interface to Generic LIMS CSV Files manually reads values from text files and brings the value into Hach WIMS. The files must be standard ASCII text files and the values must be comma separated. This interface will attempt to process all files in the folder specified in the configuration. The input file is copied to a local 'cache' folder and processed. Once finished it moves the file to an 'archive' folder with a date and time stamp added to the file name.

For examples of what the file needs to look like, see the Source version tested article. To see how the interface configures to these files and what the constraints are, see the Configuration - Source Configuration Q12351 article.

ID : 12358 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source version tested

Documentation : Introduction

When creating an input file, pay special attention when comma's are part of the data field - such as ANALYTEs. Notice in the example below that we have analytes with comma's as part of the data (red box with "1,1,1-Trichloroethane (TCA)" is an analyte). In order to distinguish between separating data points and part of data, use double quotes around the data field as shown. NOTE: to define this example in Hach WIMS Client, do NOT include double quotes. The Analyte would appear in Hach WIMS Client as 1,1,1-Trichloroethane (TCA).

This example of a source data is how it appears in Notepad:

Here is the same file, viewed from the interface. Notice that since our ANALYTE NAME's are in double quotes (as shown above), we can distinguish what is a data separator and what is part of data. Also notice that the quote marks are removed:

Note: In the Hach WIMS Client under variable edit, we would enter 1,1,1-Trichloroethane (TCA) for the ANALYTE field.

ID : 12600 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How to

Contains 0 Sub-Categories and 9 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL) ( Type : HOWTO: , ID : 12323 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )
WARNING : Version Validation Failed ( Type : ERRMSG: , ID : 12230 )

ID : 7M5I4H , Online Version


Change Configuration Protection Password

Documentation : How to

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How to

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)

Documentation : How to

In order to use a direct server-side interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    1. If you have the G2 definition uploaded, click the New button. To determine if you have the definition uploaded, click New and see if it appears in the list of interfaces.
    2. If you do not have the definition uploaded, uploaded the definition first. Click the New Definition button and navigate to the g2_server_lu file. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we want a new instance of the Random Number Generator interface. Select the name, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, simply uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    (Note: The number of fields and their nomenclature are dependent on the specific interface)

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface' article in the 'Topics specific to operation of Interface' chapter.

keywords : g2,collector,client,server,side,LIMS
ID : 12323 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How to

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How to

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How to

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How to

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How to

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


WARNING : Version Validation Failed

Documentation : How to

The version of the interface that you are using should match the version of the interface that the collector links to.
If they do not match, you will be presented with the following warning message:

Click OK to continue.

To find out which version of the interface is running, click on the About box:

If you have already defined a Collector within Hach WIMS client that links to the appropriate version, you can select it from the Configuration / Collector Configuration screen:

If there is not a collector in the list that links to the appropriate version, you will need to create a new collector or modify an existing one in Hach WIMS Client.

To modify an existing collector or add a new one, go to your Hach WIMS Client and click on System Setup / System Tables / Enter System / Server-Side Interface Setup from the main menu:

To add a new collector, click on New. To modify an existing one, click on Edit next to the appropriate collector:

If you are editing an existing collector, click on the blank button near the top right hand corner to open up the Definition Browser Screen:

In the Definition Browser screen, click on the appropriate version and click 'Finish':

If you don't see the appropriate version listed, then you need to update your g2_server_lu file. You can do that within the interface by clicking Utilities / Upload definition file to Hach WIMS from the main menu:

keywords : Version,mismatch
ID : 12230 , Type : ERRMSG: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 13 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test LIMS to Hach WIMS ( Type : INFO: , ID : 12321 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 1O6V8O , Online Version


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test LIMS to Hach WIMS

Documentation : Main Menu

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, WITHOUT doing an actual import. (No data will be written to Hach WIMS database.)

Once a start and end date have been selected, press Query Source button to retrieve data for that date range.

The Source Read Test will retrieve all data points within the date range selected and return the values of selected fields.

Example screenshot of how values look when interface is not reading additional info fields from the source :

Example screenshot of how values look when interface is reading additional info fields from the source :

Buttons:

Query the source for the date range entered
Get the next record from the source data
Close this window

keywords : LIMS2OPSSQL,source,read,test
ID : 12321 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes

Contains 0 Sub-Categories and 1 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12322 )

ID : 5A8I0X , Online Version


Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release Notes

Build 20180118 (1/18/2018)

  • CommonImport now allows Logbook entries to be imported.
  • Improved handling of text variable import with list of values specified by Limit to list off (now imports curvalue as index of list).

Build 65 (10/29/2015)

  • Fixed bug in Source Read Test (4706)

Build 64 (8/21/2015)

  • Add Location Path to the Variable Browser (4660)

Build 58 (1/20/2015)

  • Interface properly formats results with no decimal places when importing to a variable with Decimal Places set to Not Fixed (9999). (4553)
  • Common Framework now handles writing the proper Data Approval Level even when LimsResultStatus is not set by custom source (4552)

Build 55 (10/2/2013)

  • Symbols with no numeric part (i.e. ND, TNTC) and an MDL setting of constant now works correctly (4379)
  • Symbols with no numeric part (i.e. ND, TNTC) no longer get 0 added to the display value (ND would become ND0 or ND0.0 depending on Decimal place setting) (4379)
  • Now creates a result comment for entries with symbols that require a numeric portion but are missing it (An entry of "<" or ">" with no number after are now imported as result comments (4379)

Build 49

  • Added the ability to recognize SQL Server 2012 licensing.(4202)
  • Added the ability to import data based on AVALDATE.(4148)
  • Modified to maintain the significant digits when no value is set for the number of significant digits.(4111)
  • Added more logging.(4104)

Build 48

  • Fixed problem with trying to perform exact matching in CommonTypeVar class, which causes problem with LIMS interfaces that use LIMS_UD fields for information other than matching (4148)

Build 45

  • Corrected how results from source are calculated following the same rules in Monthly Data Entry form:
    1. Determine significant digits
    2. Perform Unit Conversion if need
    3. Apply significiant digits, using scientific rounding
    4. Apply MDL rule to calculate numeric value
  • The rules are applied similarly if Decimal Places is fix or set to Not Fixed in Hach WIMS client, the only difference is how the significant digits are determined. (4111)
  • Ensure trailing zeroes are included in the text value imported as applicable according to MDE significant digit rule. (4111)

Build 44

  • Fixed problem of sporaticly not matching when LIMS interfaces use UD1 or UD2 for cross referencing. (4142)

Build 38

  • Updated matching variable setup for LIMS to be more distinct.

Build 37

  • Updated framework to set the WIMS TextValue field to the raw value (not changed to a numeric type) when importing, thus preserving the data entered. For instance, if the source data is 0.400 the last two zeros are not removed when it is inserted into the TextValue field.

Build 34

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces. Note: LIMS do not have Indirect type interfaces, but are affected by the Common Framework changes.

Build 30

  • Added ability for Hach WIMS LIMS interfaces to match variables to source data up to five fields (LIMS_LOC, LIMS_TEST, LIMS_UD1, LIMS_UD2, and LIMS_UD3). Number of fields depends on Hach WIMS LIMS interface specifications.

Build 28

  • Changed Common Import to allow Custom Source routine to populate the Result Comment in Hach WIMS with notes or comments from the LIM lab source data.

Build 27

  • Changed Common Import to call Custom Source routine to allow for custom code to execute procedures after all faciliities are completed (item 3557)

Build 26

  • Added to framework ability to configure LIMS Interface for a LIMS_LOC and several LIMS_TEST with LIMS_UD1 blank (3478)
  • Corrected issue with Limit-To-List, when checked, so that if the text value is not in the list, the value is written to comments (3482)

Build 20

  • Added internal structures needed to ignore case when evaluating the cross reference map from the source system to Hach WIMS (2990)
  • Added internal structures needed to show results of "View Applied Connection String" from interface's Source Configuration form (2821)
  • Text Paramater Variables with Limit To List are now properly written based on the current list configuration of each variable (2805)
  • Hach WIMS Comment writter implemented (2983)
  • Fixed a bug that caused interface import session to break when a result with an unexpected number of spaces was returned by the source system (3083)
  • Fixed a bug that caused interfaces to write data according to MDL rules when if Allow Symbol was false (3086)
  • Fixed a bug that caused overflow during reporting of statistics for import sessions that lasted less than 1 second (3024)

Build 7

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : )

ID : 12322 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 11 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q12351 ( Type : INFO: , ID : 12361 )
Q14450 Vars from Lab CSV Utility ( Type : INFO: , ID : 14450 )
Q14451 CHW Fix CSV Utility ( Type : INFO: , ID : 14451 )
Release Notes for Interface Q12351 ( Type : INFO: , ID : 12359 )
Select Column for Mapping ( Type : HOWTO: , ID : 12379 )
Supported Variable Configuration for Interface Q12351 ( Type : INFO: , ID : 12362 )
Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter ( Type : INFO: , ID : 14447 )
Using the LIMS CSV Interface with the Hach AT1000 TitraLab ( Type : INFO: , ID : 14449 )
Using the LIMS CSV Interface with the Hach HQd meters ( Type : INFO: , ID : 14445 )
Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter ( Type : INFO: , ID : 14441 )
Warning: Maximum Allowable Resources Reached ( Type : ERRMSG: , ID : 12603 )

ID : 6J2U7A , Online Version


Configuration - Source Configuration Q12351

Documentation : Topics specific to the operation of this interface

This is the source configuration screen for the Hach WIMS Direct Server-Side Interface to Generic LIMS CSV Files. First of all, we need to ensure the data files can be read by this interface.

Assumptions and Constraints:

  1. The source data files must be a Comma Separated Value (CSV) or Tab Separated Value files.
  2. All files located in the Import Folder will be processed.
  3. All files in the Import Folder must have the same configuration that is explained in this article.
  4. This tool will only process a total of 32,000 lines of data included in all files of the Import Folder.

NOTE: The interface will only process up to 32,000 lines per session. It will process files until it reaches 32,000 lines and stop. It will not process the file it stops on. A file containing more than 32,000 lines will need to be broken down into multiple files with less than 32,000 lines in each file.

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display control buttons and parameters that need to be filled in. Notice there are two tabs - one for Source File Configuration and one for Column Mapping. Source File Configuration needs to accomplished before Column Mapping if a file is available. The automation included with Column Mapping will require a sample data file, comma delimited.

Source Configuration:

Control buttons for both tabs are:

  • Apply Settings - this will apply the settings to the program temporarily
  • Save Settings - this will save the settings for subsequent runs
  • Help - brings up the help documentation
  • Close - closes the source configuration screen

Parameters for Source File Configuration:

  • IMPORT FOLDER - specifies the folder (location) of the generic LIMS CSV files to be imported. The interface will attempt to import all the csv files contained in this folder when you run it. Click the elipse button [image] to bring up the file browser:

  • Header Rows - Set the number of header rows in the file.
  • Source File Option - this option determines what to do with source files after they have been imported. If checked, the interface will delete the source file after the data has been imported. If there are many files that total more than 32,000 lines all together, checking this box will enable the ability to process what the interface allows (maximum of 32,000 lines) and remove from source folder. Then rerun the interface to get the next batch of files. A single file with more than 32,000 lines will not be processed, break the file out into several smaller files.
  • Archive Option - This option determines if the source files are archived after they have been imported. If checked, source files will be copied to the Archive Folder which is located under the interface exe folder. For example, if the interface is installed in C:\HachWIMS\Client\utility\Q12351 the files will copied to C:\HachWIMS\Client\utility\Q12351\archive.
  • Archive File Location - This options let you set a directory to archive the csv files after processing. Follow the instructions for the Import Folder for setting this. If no directory is set, Archiving the csv files will work as described in the Archive Option above.
  • Source Data Delimiter - Specify whether data in the source files are comma separated or tab.
  • Remove (XXX) from end of Location for Hach HQ meter files - Removes the trailing "(XXX)" from the SampleID (Location) column. Should only be used when importing CSV data from Hach HQd portable and benchtop meters (HQ40d, HQ30d, HQ14d and HQ11d portable models, as well as the HQ440d, HQ430d and HQ411d benchtop models). The SampleID field, which is used as the location, has a three digit number in parentheses appened to it when output. Checking this box will remove the "(XXX)" from the field so it can be matched to a WIMS variable. For example, the Sample ID on the HQ meter is entered by the user as "RAW EC". The CSV file would contain RAW EC (001) for the first sample and RAW EC (002) for the second. Checking this box would remove the (001) from the SampleID before comparing it to the WIMS Variable's Interface Location setting.
  • Ignore Quotes around lines in CSV Files - If the lines in the CSV import file have quote at the beginning and End of each line, remove them before processing the line.

  • Import Invalid Results as Hach WIMS Comments - When importing a result if the result is not a valid value for WIMS, import the result as a result comment. For example, the Result in the CSV is BB (for broken sample bottle) which is not a value that can be entered into WIMS (i.e. BB is not a symbol) the BB is imported as a Result Comment and the value in WIMS is left blank. NOTE: If you map a column to a result comment and you get an invalid result, the interface will import the Invalid Result semicolon and the result comment from the column. Example: "BB; Sample was green" where BB is the result and "Sample was green" was in the result comment column. If there is an existing result comment it will be overwritten.

  • Ignore Case when matching between Source Identifiers and WIMS Variable Cross References - enable this
    setting when you need to ignore case during matching to WIMS variable cross references.

  • Variable List in CSV File - enable this to have a Variable Input CSV File generated from Rio Parameters with Data Sources set to Lab.

Column Mapping

Note: The first time you click on the Column Mappings tab, source configuration will attempt to open the first data file in the Import Folder. This will load some data into memory so that when you click the elipse button [image], the program does not have to reload a sample of the data each time. When you change the Import Folder location, the program will have to reload sample data.

If there is no file, then the elipse buttons [image] cannot be used. The following error message will be displayed.

Simply enter the column mapping by hand and save settings. It is a good idea to recheck the column mapping settings when a source data file is available in the Import Folder. The following display shows the Column Mappings screen and each column setting is explained below.

Column mapping:

In order to complete this section, a LIMS CSV File should be available. Click the elipse button ( [image] ) to view source data. This option is explained in Select Column for Mapping

You can also open the file, preferably in Microsoft Excel or some other spreadsheet program, to view the data. The values must be numeric starting with 1 for the first column, 2 for the second and so forth. We will use the following as an example of input data:

Parameters for Column Mapping are:

LOCATION - This parameter is the location that uniquely identifies our analyte, we determine that SAMPLE DESCRIPTION suits our purpose for LOCATION, so we enter 2 (two) in the box since it is the second column

ANALYTE - This parameter is the test or analyte performed, the Analyte Name column will be used as our ANALYTE NAME, so we enter 7 (seven)

RESULT - This parameter is the column that containts the results from the test, the column containing the results in our example is RESULT column, shown as column H which is the eight column, so we enter 8 (eight)

QUALIFIER - This parameter, if used, identifies what column contains the qualifier of the data. In our case, we store the qualifier in a column labelled FLAG which is column K so we enter 11 (eleven)

UNITS - This parameter, if used, identifies what column contains the units of the data. In our example this is column J so we enter a 10 (ten)

RESULT COMMENT - Optional, Defines a column to import as a Result Comment.

STYLE - This parameter defines whether the date and time are in one field or two. When Date and Time in the same column is checked, only the Date column needs to be supplied. If these are in two seperate columns, as in our example, then we enter the column number for date and the column number for time.

DATE - This parameter is to specify the column for the date or date and time depending on how the previous parameter was answered. In our example the date is in column D so we enter a 4 (four).

TIME - Since we have two seperate columns for date and time, we have to specify the time column, which is E, so we enter a 5 (five)

LIMS UD1 - If it is required to cross reference to variables based on an additional field, you will need to map the LIMS UD1 field. For example, the csv file contains routine and non-routine results which is held in a SampleType field. In WIMS variable setup if you only want Routine results we would use the LIMS UD1 field on the Edit View Variables Interface Tab. NOTE: If you map this field YOU MUST cross reference all three fields, leaving the LIMS UD1 field blank in Variable Setup will not match to any source records if this field is mapped.

LIMS UD2 - If it is required to cross reference to variables based on an additional field, you will need to map the LIMS UD2 field. Similar use as the LIMS UD1 field.

Example:

Data Approval Level - Sets the column that contains the Data Approval Information. If this field is not mapped, the interface will write data based on the "Data Approval Level to Write With" setting for the variable (in WIMS on the Interface Tab in Variable Edit/View Variables). If it is mapped, you will need to fill out the Source Values to WIMS Data Approval Level table on the Data Approval Tab (describe below).

DETECTION LIMIT - This defines a column for the detection limit. This field can be used for some new Rules capabilities. See the Rules section at the bottom of this document.

SAMPLE TYPE - This defines a column for the Sample Type. This field can be used for some new Rules capabilities. See the Rules section at the bottom of this document.

Additional Info fields:

NOTE: In Configuration > Advanced Configuration > Additional Info tab > Configure Additional Info DO NOT CHANGE SOURCE FIELD IDENTIFIER as shown above

This is where you identify the columns of the source file (CSV) to pair up with fields created in the Hach WIMS Data Additional Info for your facility. You map a column in the source data to AI_COLUMN_1 to start with and go down the list. Notice we do not have to have the column numbers in any specific order. When finished selecting columns and creating Data Additional Info fields for your facility in Hach WIMS, then go to Configuration -> Advanced Configuration and select the Additional Info tab to complete the mapping process - there you will select AI_COLUMN_1 to map to a specific field you created in Hach WIMS.

Data Approval:

The interface can set the data approval level based on a column in the CSV files. For example, the CSV file has a column called Confirmed that can contain values Y, N, and Maybe. WIMS is setup with two data approval levels - Final Approval and Entered.

First you must set the Data Approval Level column on the Column Mappings tab. Using the Data Approval Tab you can then specify which Source Values (Y,N, Maybe) correspond to which Data Approval Level. In this case Y corresponds to Final Approval (value of 0) and N, Maybe correspond to Entered (-1024). YOU MUST SPECIFY THE NUMERIC VALUE FOR THE DATA APPROVAL LEVEL NOT THE DESCRIPTION:

Data Approval Level - Sets the column that contains the Data Approval Information. If this field is not mapped, the interface will write data based on the "Data Approval Level to Write With" setting for the variable (in WIMS on the Interface Tab in Variable Edit/View Variables). If it is mapped, you will need to fill out the Source Values to WIMS Data Approval Level table on the Data Approval Tab.

Alternate Result Mapping

This feature allows other data from the CSV file to be brought in as the Result. The intent of this feature is for pulling data into Rio. Up to ten Alternate Results can be defined. For each Alternate Results field, multiple columns can be set. When selecting the fields, fields can be appended or overwritten. If appended, the column mapping field will contain the appended fields separated by a :.

For each of the Alternate Result Mapping fields that are set, a new record will be created with the result containing the values of the defined fields separated by '::'. Example ND::RL::MDL

The Analyte field will be set like set like: BOD5::AR1. A variable or variables will need to be set up to cross reference the Alternate Result data.

RULES

Rules are used to fix results/qualifiers that are in a different format from WIMS. Typically, it is used to replace results to match what WIMS needs. Examples:

  • The CSV contains a 0 (zero) for E COLI results, WIMS has a text variable that expects an "A" (Absent). The first rule will convert the zero(s) to A for Analytes equal to E COLI.
  • The third rule handles values from the lab such AA 0.45 which means <0.45. Notice also the space between the AA and 0.45. To specify a leading or trailing space use <sp>. So AA 0.45 will be imported as <0.45.

When specifying, the value "Anything" means all records will be looked at. If you need to also replace zero's with A for Total Coliform, you would need to add the rule for Total Coliform as you would not want to change all zeros to A.

Notes:

  • The addition of the Detection Limit Mapping adds a couple of new options for Rules.
  • The Update field section adds the ability to create a rule that will adjust the Collection Date.
    • This can be triggered by Sample Date or Analyte.

For this rule, if Result = ND it will be replaced with <2.0 Where 2.0 is the value in the Detection Limit Column.

For this rule, if Result is less than the value in the Detection Limit Column, Result will be replaced with <2.0 where 2.0 is the value in the Detection Limit Column.

This rule can be defined by Sample Type or by Analyte. The Collection Date will be adjusted by the number of days or hours by the Offset Amount.

ID : 12361 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Q14450 Vars from Lab CSV Utility

Documentation : Topics specific to the operation of this interface

Q14450 Create Vars from Lab CSV Utility is intended to be a "preprocessor" of CSV files using the Q12351 LIMS CSV Interface. The Utility will scan the files and create locations and variables for CSV records where a variable is not cross referenced.

Example: The Lab CSV file contains routine water distribution data (i.e. Cl2, Bacti results for our known sampling sites) and non-routine samples (customer complaint, new main, etc...). In WIMS we have setup and cross referenced variables for all the routine samples but not for the non-routine. The Utility would scan the CSV files, create variables/locations for the non-routine samples. After the utility is run, the Q12351 Interface runs and imports data for the existing routine data and the NEW non-routine samples.

Setup:

Fill out the fields (described below), click [Map Columns] button to set which columns correspond to which fields in WIMS. Then click [Save Settings] and your settings will be saved to the config.ini file. Save Settings also saves the filter and the state of filtering (i.e. is a filter currently applied). As this utility is typically used as a scheduled task to autorun prior to the interface run, note that the filter will be applied during the autorun if saved in that state. We may need to install and setup the interface twice if the CSV files apply to more than 1 facility. In this case, setup a filter to only see records (rows) for one facility then install another copy of the interface and setup a filter for the second facility.

WIMS Connection String: A connection string to the WIMS database. NOTE: If using the OPSDBA username, set password to ###.

Source Folder: Folder and File specification for the source CSV files.

Dest Folder: Folder to place CSV files in after processing is complete.

Parent Location: The Location ID of where you want to put the new locations. To find the Location Id, in WIMS go to System Setup>Location Setup. Click on the location and the ID will be shown in the lower right corner:

Frequency: The variable frequency (Daily, Hourly, etc...) of the new variables.

Type: The variable type (Parameter or Text Parameter) or you can set to detect. Detect will analyze the Result field and determine if it is a parameter or text.

Interface ID: The Interface ID to set the new variables to. To find the interface ID, in WIMS go to System Setup>Entire System>Server Side Interface Setup. Click on the row for the interface and the ID will be shown in the lower right hand corner.

Set Data Read-Only: For new created variables will set the Data Read-Only option. Data Read-Only marks all data for the variable as Read-Only, i.e. it CANNOT be entered, edited, or deleted in WIMS, only interfaces can write data to the variable.

Set Definition Read-Only: For new created variables will set the Definition Read-Only option. This option marks the variable's setup as Read-Only, i.e. no fields can be changed (name, units, etc...). Only Super Users or managers with the Allowed to edit Variable's Definition Read-Only Setting can edit the variable.

Filter: Column to use to filter results. In this example we only want to look at Non-Routine so we set the filter to on Column I (Sample Type) equal to Non-Routine. Only rows displayed will be considered when adding variables. You can up to 3 filters and they are applied from left to right. Example:

  • If Column J equals 1905 or 3014 AND Column Y = SW

Map Columns:

Click the Map Columns button to setup which columns correspond to which fields in WIMS. Example, Column G in the CSV file holds the LIMS Loc.

LIMS Loc: (Required) Will be matched to the Vardesc.LIMS_LOC Interface field. Also, if the variable is not found, the utility will check if the location exists in the Parent and if not will create a location with this name.

Address: If mapped will populate the Location.SiteAddress Field.

City: If mapped will populate the Location.SiteCity field.

State: If mapped will populate the Location.SiteState field.

Zip: If mapped will populate the Location.SiteZip field.

PWSID: If mapped will populate the Location.PWSID field.

WSFID: If mapped will populate the Location.WSFID (Facility Id) field.

SamplePt ID: If mapped will populate the Location.SAMP_POINT_ID (Sampling Point ID) field.

Analyte: (Required) Will be matched to the VarDesc.LIMS_TEST interface field.

LIMS UD1: (Required if your CSV interface uses the LIMS UD1 field). Will be matched to the VARDESC.LIMS_UD1 field.

LIMS UD2: (Required if your CSV interface uses the LIMS UD2 field). Will be matched to the VARDESC.LIMS_UD2 field.

Units: Sets the VARDESC.Units field

Description: Sets the VARDESC.DESCRIPTION field.

Result: (Required if you set the Type to Detect). Used to determine the variable type. Used to set the VARDESC.VARTYPE field.

Analyte Code: If mapped will populate the VARDESC.ANALYTECODE field

Variable UD1 thru UD9: If mapped will populate the VARDESC.UDx field.

Location UD1 thru UD9: If mapped will populate the LOCATION.UDx field.

Location Detail File: If checked allows a separate file with additional Location information to be joined with the Source File. You then specify the Location file path. This can be used when the Source CSV file just has key field(s) to identify the location (no address, etc...) The Locations Detail File can then be matched to those key field(s) and used in the import. Example, my source file has PWSID and SampPtId. I have a files (locations.csv) that has the PWSID and SampPtId along with the address for those locations. I can join/lookup the address for each source record which will allow me to import the address information when creating the new locations.

Example: Match PWSID and SamplePointId (columns E,G) of the results csv file (shown on left) to the Locations csv file (shown on right) to columns A,D. This will allow us to import the Address, City, State, etc... when creating the location.

Using:

1. Click the [Load Files] button. It will load all files that meet the file specification in the Source Folder setting.

2. Click [Check]. This optional step will highlight in yellow all records (rows) that a new variable will be created for. NOTE: If the file contains duplicate records (i.e. Location DS004, Anaylte CL2, Sample Type Routine) for different sampling dates only the first row will be highlighted in yellow.

3. Click [Create Vars]. Variables will be created. A summary message will be displayed:

3 new locations added with the 5 variables added to parent Non-Routine (ID 56).

Variable parameter variables are setup with Allow Symbols turned on and decimal places set to Not Fixed. Interface cross reference is setup:

Auto Run:

If you launch Q14450.exe with a command line option it will Load the settings, load the files, Create Vars and Exit the program. You can use the Windows Task Scheduler. Notice the 1 after the exe, this tells the utility to auto run.

Tech Notes:

Log files will be created for each run in the log folder. There is no log cleanup function as part of the utility, therefore users should clear the log folder as needed.

Code Repository Path : $Utilities/Q14450

Code Repository Name : Hach.WIMS.Interfaces

Code Repository Product : git (sourcetree)

Release Notes:

  • Version 1.0.2 Released 9/30/2020 Fixed issue with LIMS UD2 field not mapping to variable.
  • Version 1.0.3 Released 10/02/2020 Added Analyte Code for mapping to vardesc.analytecode.

ID : 14450 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Q14451 CHW Fix CSV Utility

Documentation : Topics specific to the operation of this interface

Q14451 Fix CSV Utility is intended to be a "preprocessor" of CSV files using the Q12351 LIMS CSV Interface. The Utility will scan the files and edit the Sample Date Time if duplicate records with a different Sample Id are found for the same location, analyte, and sample type.

Utility was developed for Central Highlands Water, Australia.

Example: The Sample Date field in the CSV file is ONLY the date (i.e. contains no time). The user takes 2 samples at a location and wants the data to go into an hourly variable as two records. The Utility will detect that the 2nd record is for the same date, location, analyte, and sample type and will add 1 hour to the Sample Date field. It will then save the CSV file and the Q12351 can import the data to the proper data slots.

Logic Description:

Step 1: Search WIMS database for existing data (AINFO Field SAMPLEID)

  • Find the WIMS variable based on Location (Site Code) = Vardesc.LIMS_LOC, Analyte (Test Reference) = Vardesc.LIMS_TEST, and LIMS UD1 (Sample Class) = VARDESC.LIMS_UD1.
  • For the variable / Sample Date search the additional Info field SAMPLEID = SAMPLEID in File. If the SampleID is found, set the date to the datetime (data slot) in WIMS for that SampleID.

Step 2: If Step 1 does not find a WIMS Record search WIMS for any existing records for the day.

  • For the variable / Sample Date find the Maximum Datestamp in the additional info table.

SELECT MAX(DATESTAMP) FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 03:00:00' AND DATESTAMP < '2017-01-25 03:00:00'

  • If Max date found (i.e. data exists) add one hour to Max Date and assume that is the data slot for the row. Search the file above the current row and see if a row exists for the same variable/date with the time calculated. If so, add 1 hour.

Examples:

Existing data in WIMS before utility is run:

Row 5: SAMPLEID 17/0453-22. From the Site Code, Test Reference and Sample Class we find variable Var#467 (varid 233). Query Additional Info table for the day/SampleID.

SELECT DATESTAMP, SAMPLEID FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 00:00:00' AND DATESTAMP < '2017-01-25 00:00:00' AND SAMPLEID='17/0453-22'

No records returned as that SampleID does not exist for the variable/day in the WIMS DATADDH_I table. Move to Step 2.

Find the Max DateStamp for the variable/sampledate

SELECT MAX(DATESTAMP) FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 03:00:00' AND DATESTAMP < '2017-01-25 03:00:00'

Returns 24/01/2017 2:00:00 AM. So the first open slot is 24/01/2017 3:00:00 AM.

Next check rows 4 to 2 have data for that Date/Variable. If so, we would add one more hour, in this case no records are found and we set the time to 24/01/2017 3:00:00 AM and make the row blue.

Row 7: SAMPLEID '17/0453-20' Var#467 (varid 233). Query Additional Info table for the day/SampleID.

SELECT DATESTAMP, SAMPLEID FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 00:00:00' AND DATESTAMP < '2017-01-25 00:00:00' AND SAMPLEID='17/0453-20'

Found record at 1AM. Set time to 24/01/2017 1:00 AM and make row green.

Row 10: SAMPLEID '17/0453-17 Var#467 (varid 233). Query Additional Info table for the day/SampleID.

SELECT DATESTAMP, SAMPLEID FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 00:00:00' AND DATESTAMP < '2017-01-25 00:00:00' AND SAMPLEID='17/0453-22'

No records returned as that SampleID does not exist for the variable/day in the WIMS DATADDH_I table. Move to Step 2.

Find the Max DateStamp for the variable/sampledate

SELECT MAX(DATESTAMP) FROM DATADDH_I WHERE VARID = 233 AND DATESTAMP >= '2017-01-24 03:00:00' AND DATESTAMP < '2017-01-25 03:00:00'

Returns 24/01/2017 2:00:00 AM. So the first open slot is 24/01/2017 3:00:00 AM.

Next check rows 9 to 2 have data for that Date/Variable. We find a duplicate in row 5, so we add an hour to set the time to 24/01/2017 4:00:00 AM and make row yellow.

Setup:

Fill out the fields (described below), click [Map Columns] button to set which columns correspond to which fields in WIMS. Then click [Save Settings] and your settings will be saved to the config.ini file. Save Settings also saves the filter and the state of filtering (i.e. is a filter currently applied). As this utility is typically used as a scheduled task to autorun prior to the interface run, note that the filter will be applied during the autorun if saved in that state. We may need to install and setup the interface twice if the CSV files apply to more than 1 facility. In this case, setup a filter to only see records (rows) for one facility then install another copy of the interface and setup a filter for the second facility.

WIMS Connection String: A connection string to the WIMS database. NOTE: If using the OPSDBA username, set password to ###.

Source Folder: Folder and File specification for the source CSV files.

Dest Folder: The destination folder for the new CSV file (source files are combined into 1 csv file and placed in this folder).

Filter: Column to use to filter results. In this example we only want to look at Non-Routine so we set the filter to on Column I (Sample Type) equal to Non-Routine. Only rows displayed will be considered when adding variables.

Map Columns:

Click the Map Columns button to setup which columns correspond to which fields in WIMS. Example, Column C in the CSV file holds the Location.

Location: Defines the sample location.

Analyte: Test or Analyte.

LIMS UD1: In this case is the Sample Type (Routine vs non-routine)

Sample ID: Lab Sample Number.

Sample Date: Date Sample was taken

Units: Not required, future.

Result: Not required, future

Using:

1. Click the [Load Files] button. It will load all files that meet the file specification in the Source Folder setting.

2. Click [Fix CSVs]. Will process and fix the Sample Dates. Source files are MOVED to the arc folder (created wherever the Q14451.exe is installed). The new file is placed in the Dest Folder and is named yyyy_mm_dd_hh_mm_ss.csv (e.g. 2017_06_14_09_25_29.csv).

Auto Run:

If you launch Q14451.exe with a command line option it will Load the settings, load the files, Fix CSVs, and Exit the program. You can use the Windows Task Scheduler. Notice the 1 after the exe, this tells the utility to auto run.

Tech Notes:

Log files will be created for each run in the log folder. There is no log cleanup function as part of the utility, therefore users should clear the log folder as needed.

ID : 14451 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for Interface Q12351

Documentation : Topics specific to the operation of this interface

Version 8.0.7 (Released on 1/24/2024)

  • Added feature to generate Variable Input CSV file from Rio Operation.
  • Added feature to upload CSV File to all Tenants/Operation for the login user.

Version 8.0.6 (Released on 11/16/2023)

  • Added feature for Alternate Result Mapping.

Version 8.0.5 (Released on 8/25/2022)

  • Added ability to select variables from CSV Input file.

Version 8.0.4 (Released on 6/21/2022)

  • Added field in Source Configuration to set a directory for archiving csv files after processing.

Version 8.0.3 (Released on 4/20/2022)

  • Feature added to not overwrite data previously written to WIMS
  • Update Last Run Date updates Default Last Run in xml file when importing vars from CSV file

Version 8.0.2 (Released on 3/8/2022)

  • Added checkbox in Source Configuration to ignore quotes surrounding lines in CSV file.
  • Auto Run Constant to add to Start Date Each Time Import Runs extended to 60 days.

Version 8.0.1 (Released on 01/12/2022)

  • Updated Licensing

Version 8.0.0 (Released on 11/23/2021)

  • Added support for CSV Export and Upload to Aquatic Compliance & Operations (ACO)
  • Upgraded to Spread 8

Version 1.2.3 (Sept 30th, 2020)

  • Fixed - Issue with matching variables using LIMS_UD1 and LIMS_UD2 fields

Version 1.2.2 (Aug 4th, 2020)

  • Fixed - Issue with interface processing data more than once, when more than one facility was being processed.

Version 1.2.1 (April 8th, 2020)

  • Fixed - License Issue. Updated list of WIMS Interfaces that don't count against Interface licenses.

Version 1.2.0 (Sept 6th, 2019)

  • Added support for LIMS UD2
  • Fixed issue with Rules when Qualifier is a separate column
  • Users are allowed to set the order that rules are applied

Version 1.1.9 (June 10th, 2019)

  • Added Rules to Source Configuration to fix results/qualifiers that are in a different format from WIMS prior to import. Typically, it is used to replace results to match what WIMS needs.

Version 1.1.8 (Feb 25th, 2019)

  • Fixed - LIMSUD1, UNITS, DATA APPROVAL, and COMMENT cannot be in the first column of the file.

Version 1.1.7 (June 14th, 2018)

  • Added Import Invalid Results as Hach WIMS Comments option. See Configuration - Source Configuration Q12351.
  • Added Ignore Case when matching between Source Identifiers and WIMS Variable Cross References option. See Configuration - Source Configuration Q12351.
  • Update for Common Framework changes (license issues)

Version 1.1.6 (June 15th, 2017)

  • Added optional LIMS UD1 field that allows you to cross reference on three fields (Location, Analyte, and LIMS UD1).
  • Added optional Data Approval Level field that allows you to map a column to set the Data Approval Level of the imported data.
  • Added USE_VB6_LICENSING XML Setting. Default of zero is strongly recommended, set to 2 in high security environments.
  • Q14450 Vars from Lab CSV Utility added.
  • Q14451 CHW Fix CSV Utility added.

Version 1.1.5 (not released, beta only)

  • You can now set the number of Header Rows in the CSV file. This allows the interface to work with Hach TU5200 Benchtop Laser Turbidimeter CSV files.
  • HexUniControls removed from project.

Version 1.1.4 (Released on 11/6/2015)

  • Upgraded interface to Common Framework Build 149

Version 1.1.3 (Released on 9/15/2015)

  • Upgraded interface to LIMS Common Framework Build 64
  • Upgraded interface to Common Framework Build 147

Version 1.1.2 (Build 147, Released on 4/21/2015)

  • Upgraded interface to LIMS Common Framework Build 58
  • Upgraded interface to Common Framework Build 145

Version 1.1.1 (Build 144, Released on 1/6/2015)

  • Fixed to enable importing for multiple facilities (4525)

Version 1.1.0 (Build 135, Released on 10/01/2013)

  • Upgraded interface to LIMS Common Framework Build 55
  • Upgraded interface to Common Framework Build 142

Version 1.0.9 (Build 131, Released on 9/9/2013)

  • Fixed a bug that was preventing the last line of a CSV file to be read.
  • Enabled Automatic Import function for the Generic LIMS CSV Interface.

Version 1.0.8 (Build 84, Released on 9/3/2010)

  • Upgraded to Common Framework build 116, LIMS Framework build 34, Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.0.7 (Build 64, Released on 7/28/2010)

  • Added ability to read comma or tab separated values in the source files
  • Upgraded Framework to support licensing for Hach WIMS 7.1

Version 1.0.6 (Build 60, Released on 7/21/2010)

  • Added ability to import into Additional Info fields

Version 1.0.5 (Build 42, Released on 10/22/2009)

  • Upgraded interface to Common Framework Build 85

Version 1.0.4 (Build 31, Released on 10/15/2009)

  • Changed processing files so that the Cache folder is emptied prior to a new import session (3059)
  • Changed verbosity level of several messages so they will not appear until the verbosity level is increased (3060)
  • Limited importing to 32,000 lines of data from accumulation of all source data files to fix problem identified in Fortress item 3062
  • Improved Source Configuration screen to prevent repetative error messages and so that it will load source data only once (3082)
  • Added more information to the documentation (3046)
  • Added ability to turn on and off Archiving source data files

Version 1.0.3 (Build 18, Released on 9/9/2009)

  • Fixed Source Configuration so that Source Data folder name always ends with a "\"

Version 1.0.2 (Build 15, Released on 8/26/2009)

  • Changed initial default settings in Source Configuration

Version 1.0.1 (Build 12, Released on 7/21/2009)

  • Modified to exclude asking for start/end date when importing data, specification requires this interface to import all data no matter what date

Version 1.0.0 (Build 8, Released on 7/16/2009)

  • Initial release

ID : 12359 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Select Column for Mapping

Documentation : Topics specific to the operation of this interface

To select a column for a parameter, click the elipse button ( [image]). The following screen will appear.

This will show the first 10 lines of the data file to give you an idea of what the data looks like. Simple scroll to the right to find the exact column needed. If you forgot which parameter you selected, look at the title of this screen. We can see that we are getting the column number for LOCATION, in this case.

  • SELECT COLUMN - whichever column is highlighted will be returned for the parameter choosen, in our example 2 would be returned to LOCATION for the column number.
  • HELP - brings up this help
  • CANCEL - cancels out of this display without changing the value that was in the text box on the previous form

ID : 12379 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Supported Variable Configuration for Interface Q12351

Documentation : Topics specific to the operation of this interface

Supported variable configurations for the Hach WIMS Direct Server-Side Interface to Generic LIMS CSV Files.

To configure a variable to hold values from a LIMS, select Edit/View Variables in the client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the Generic LIMS interface name (name given when configuring the interface).

Variables can be cross referenced using Location and Analyte or using Location, Analyte, and LIMS UD1. In source configuration, if you mapped the LIMS UD1 field YOU MUST enter a value for LIMS UD1. If you did not map LIMS UD1, the LIMS UD1 setting here will be ignored.

Example 1: Cross reference your influent BOD variable with LIMS UD1 off (not mapped).

Example 2: Cross reference your influent BOD variable with LIMS UD1 on. We have a field in our source CSV file that specifies Routine or Non-Routine. You only want the Routine results to be imported to this variable:

ID : 12362 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter

Documentation : Topics specific to the operation of this interface
The Generic LIMS CSV Interface (Q12351) can be used to import results from the Hach 2100Q Portable Turbidimeter CSV Data log. Requires the USB+Power Module in order to download CSV files from the instrument to the PC.

Configure your 2100Q to log data to CSV:

  1. Push DATA MANAGEMENT>Send Data Log.
  2. Choose Send Data Log or Filter Data. A progress bar will show the transfer status and shows "Transfer Complete" when the data is successfully sent to the USB+Power/USB module.
  3. Remove the USB+Power/USB module from the meter. Note: Do not connect the USB+Power/USB module to the computer when the module is still connected to the meter.
  4. Plug the USB cable, type A, to the USB+Power/USB module and connect the USB+Power/USB module to the PC. Note: The USB+Power/USB module works like a USB storage device.
    Navigate through Windows Explorer to find the USB+power module.
  5. Open the folder "datalog". Find the data file. The file name will be formatted as: Year_Month_Day_Hour_Minute.xml.
  6. Save the data file to a location on the computer. A progress bar will show the transfer status and shows "Transfer Complete" when the data is successfully sent to the USB+Power/USB module.
  7. Open the file in Excel, Save as CSV.

See your 2100Q/DR 1900 Modules User Instructions for more information.

Configure the interface:

  1. Go to Configuration>Source Configuration

  1. Set the Import Folder to the location of your 2100Q CSV files. The Data Log files are typically named : Year_Month_Day_Hour_Minute.csv.
  2. Set the number of header rows to 4.
  3. Map the Columns as follows:

NOTE: Analyte is set to Units as the file only contains Turbidity results. This way the variable can be cross referenced as follows:

ID : 14447 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using the LIMS CSV Interface with the Hach AT1000 TitraLab

Documentation : Topics specific to the operation of this interface
The Generic LIMS CSV Interface (Q12351) can be used to import results from the Hach TitraLab® AT1000 Series Potentiometric Titrator CSV Data log.

Export your AT1000 data log to CSV:

  1. From the home screen, select Data log.
  2. Make sure that an external device is connected to the instrument (e.g., a USB key)
  3. Select Export data log.
  4. Push Preview to see the selected data, then push Export to start the procedure.
  5. Exports measurement data from the system to an external device. Preview data selection before it is exported.

See your TitraLab® AT1000 series workstations User Manual for more information.

Configure the interface:

  1. Go to Configuration>Source Configuration

  1. Set the Import Folder to the location of your AT1000 CSV files.
  2. Set the number of header rows to 1.
  3. Set the Source Data Delimiter to Tab Separated Values
  4. Map the Columns as follows:

In WIMS, Edit/View Variables Cross Reference as follows:

ID : 14449 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using the LIMS CSV Interface with the Hach HQd meters

Documentation : Topics specific to the operation of this interface
The Generic LIMS CSV Interface (Q12351) can be used to import results from the Hach HQd Meters CSV Data logs.

Configure your HQd meter to log data to CSV:

1. Turn off the meter. Make sure that the meter is connected to AC power.
2. Connect the PC to the meter with a USB type B cable.
3. Turn on the meter.
4. Transfer the data from the data log:

  • Data log—push the key and select Send Data Log. Wait for the display to show “Transfer Complete.” The data is sent as a comma separated values (.csv) file.

Configure the interface:

  1. Go to Configuration>Source Configuration
  2. Set the Import Folder and other options as follows.
  3. Check the Remove (XXX) from end of Location for Hach HQ meter files - Removes the trailing "(XXX)" from the SampleID (Location) column. Should only be used when importing CSV data from Hach HQd portable and benchtop meters (HQ40d, HQ30d, HQ14d and HQ11d portable models, as well as the HQ440d, HQ430d and HQ411d benchtop models). The SampleID field, which is used as the location, has a three digit number in parentheses appened to it when output. Checking this box will remove the "(XXX)" from the field so it can be matched to a WIMS variable. For example, the Sample ID on the HQ meter is entered by the user as "RAW EC". The CSV file would contain RAW EC (001) for the first sample and RAW EC (002) for the second. Checking this box would remove the (001) from the SampleID before comparing it to the WIMS Variable's Interface Location setting.

ID : 14445 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter

Documentation : Topics specific to the operation of this interface

The Generic LIMS CSV Interface (Q12351) can be used to import results from the Hach TU5200 Benchtop Laser Turbidimeter CSV Data log.

Configure your TU5200 to log data to CSV:

  1. At the main reading screen, push Options>Reading Setup>Data Log Setup>Send Data Format
  2. Set to CSV
  3. Make sure that Auto Store is on (On is the default).
  4. Setup the TU5200 to log data to NetDrive (Folder where the Data Log CSV files will be placed). The instructions for setting the instrument up to a LAN connection are on page 16 of the TU5200 User Manual.

Configure the interface:

  1. Go to Configuration>Source Configuration

  1. Set the Import Folder to the location of your TU5200 CSV files. The Data Log files are typically named : DL_TU5200_sssssss_yyyy-mmm-dd_hh_mm_ss.csv where ssssss is the Instrument serial number (Ex DL_TU5200_1664014_2016-Oct-28_13_18_21.csv)
  2. Set the number of header rows to 5.
  3. Map the Columns as follows:

NOTE: Analyte is set to Units as the file only contains Turbidity results. This way the variable can be cross referenced as follows:

keywords : TU5200 Benchtop Laser Turbidimeter, CSV
ID : 14441 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Warning: Maximum Allowable Resources Reached

Documentation : Topics specific to the operation of this interface

What this error message means, and what to do if it pops up:

The maximum number of lines the interface will process is 32,000. This is all inclusive of all files within the Import Folder defined in the source configuration. The file name listed in the message box is the file it stopped processing on. This file will not be imported, and potentially other files as well. For an explanation of source configuration see the article Configuration - Source Configuration.

NOTE: A file containing more than 32,000 lines will need to be broken down into multiple files with less than 32,000 lines in each file. If one file has a header row, and that is what the source is configured for, then all files must contain that header row. The header row is not needed by the interface so it can be removed, remember to uncheck the option Header Row Exists in Source Configuration.

If Delete source files after they are imported option in Source Configuration is checked (as shown below); the interface processed what it could and removed those files from the Import Folder. If you rerun the interface, it will pick up on the file it left off at and continue processing until it finishes or reaches the limit again.

If Delete source files after they are imported option in Source Configuration is NOT checked; change the verbosity level under Advanced Configuration to at least 3 or a higher number, and rerun the interface.

The lines starting with Processed: will contain the files that were imported. Move these files out of the Import Folder and rerun the interface.

ID : 12603 , Type : ERRMSG: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 36 total Articles.
This page was auto-generated at 1/24/2024 12:40:39 PM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : Introduction : Source version tested
Documentation : How to
Documentation : How to : Change Configuration Protection Password
Documentation : How to : Configuration is Password Protected
Documentation : How to : Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
Documentation : How to : Hach WIMS Super User Credentials
Documentation : How to : Step-by-Step Instructions on How to Configure Interface
Documentation : How to : Using Common Buttons
Documentation : How to : Using Main Interface Screen
Documentation : How to : Using Select Date Range to Import
Documentation : How to : WARNING : Version Validation Failed
Documentation : Main Menu
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test LIMS to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release Notes
Documentation : Release Notes : Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q12351
Documentation : Topics specific to the operation of this interface : Q14450 Vars from Lab CSV Utility
Documentation : Topics specific to the operation of this interface : Q14451 CHW Fix CSV Utility
Documentation : Topics specific to the operation of this interface : Release Notes for Interface Q12351
Documentation : Topics specific to the operation of this interface : Select Column for Mapping
Documentation : Topics specific to the operation of this interface : Supported Variable Configuration for Interface Q12351
Documentation : Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter
Documentation : Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach AT1000 TitraLab
Documentation : Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach HQd meters
Documentation : Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter
Documentation : Topics specific to the operation of this interface : Warning: Maximum Allowable Resources Reached


Special Section : Articles : Local Links
This CHM file contains 36 Articles.
This page was auto-generated at 1/24/2024 12:40:40 PM

Local Links
Q14451 CHW Fix CSV Utility in Category Documentation : Topics specific to the operation of this interface
Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter in Category Documentation : Topics specific to the operation of this interface
Q14450 Vars from Lab CSV Utility in Category Documentation : Topics specific to the operation of this interface
Using the LIMS CSV Interface with the Hach HQd meters in Category Documentation : Topics specific to the operation of this interface
Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter in Category Documentation : Topics specific to the operation of this interface
Using the LIMS CSV Interface with the Hach AT1000 TitraLab in Category Documentation : Topics specific to the operation of this interface
Test - Source Read Test LIMS to Hach WIMS in Category Documentation : Main Menu
Configuration - Source Configuration Q12351 in Category Documentation : Topics specific to the operation of this interface
Source version tested in Category Documentation : Introduction
WARNING : Version Validation Failed in Category Documentation : How to
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL) in Category Documentation : How to
Test - Test Import All in Category Documentation : Main Menu
Warning: Maximum Allowable Resources Reached in Category Documentation : Topics specific to the operation of this interface
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release Notes
Supported Variable Configuration for Interface Q12351 in Category Documentation : Topics specific to the operation of this interface
Change Configuration Protection Password in Category Documentation : How to
File - Exit in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Hach WIMS Super User Credentials in Category Documentation : How to
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Configuration is Password Protected in Category Documentation : How to
Using Main Interface Screen in Category Documentation : How to
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How to
Using Common Buttons in Category Documentation : How to
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Release Notes for Interface Q12351 in Category Documentation : Topics specific to the operation of this interface
Select Column for Mapping in Category Documentation : Topics specific to the operation of this interface
Interface Introduction in Category Documentation : Introduction
Using Select Date Range to Import in Category Documentation : How to
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test LIMS to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS


Sub-tree rooted at Release Notes

Sub-tree rooted at Documentation : Release Notes
Categories and Articles
: Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q12351
: Q14450 Vars from Lab CSV Utility
: Q14451 CHW Fix CSV Utility
: Release Notes for Interface Q12351
: Select Column for Mapping
: Supported Variable Configuration for Interface Q12351
: Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter
: Using the LIMS CSV Interface with the Hach AT1000 TitraLab
: Using the LIMS CSV Interface with the Hach HQd meters
: Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter
: Warning: Maximum Allowable Resources Reached


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 2 )
How to ( Sub-Categories : 0 , Articles : 9 )
Main Menu ( Sub-Categories : 0 , Articles : 13 )
Release Notes ( Sub-Categories : 0 , Articles : 1 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 11 )

ID : 6O7J4T , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
Introduction : Source version tested
: How to
How to : Change Configuration Protection Password
How to : Configuration is Password Protected
How to : Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
How to : Hach WIMS Super User Credentials
How to : Step-by-Step Instructions on How to Configure Interface
How to : Using Common Buttons
How to : Using Main Interface Screen
How to : Using Select Date Range to Import
How to : WARNING : Version Validation Failed
: Main Menu
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test LIMS to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release Notes
Release Notes : Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q12351
Topics specific to the operation of this interface : Q14450 Vars from Lab CSV Utility
Topics specific to the operation of this interface : Q14451 CHW Fix CSV Utility
Topics specific to the operation of this interface : Release Notes for Interface Q12351
Topics specific to the operation of this interface : Select Column for Mapping
Topics specific to the operation of this interface : Supported Variable Configuration for Interface Q12351
Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach 2100Q Portable Turbidimeter
Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach AT1000 TitraLab
Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach HQd meters
Topics specific to the operation of this interface : Using the LIMS CSV Interface with the Hach TU5200 Benchtop Laser Turbidimeter
Topics specific to the operation of this interface : Warning: Maximum Allowable Resources Reached


Sub-tree rooted at How to

Sub-tree rooted at Documentation : How to
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
: Hach WIMS Super User Credentials
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import
: WARNING : Version Validation Failed


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction
: Source version tested